Loading...
Searching...
No Matches
Opm::WellConnectionAuxiliaryModule< TypeTag, Model > Class Template Reference
Inheritance diagram for Opm::WellConnectionAuxiliaryModule< TypeTag, Model >:

## Public Types

using | NeighborSet
using | Domain = SubDomain<Grid>

## Public Member Functions

| WellConnectionAuxiliaryModule (Model &model, Parallel::Communication comm)
unsigned | numDofs () const override
| Returns the number of additional degrees of freedom required for the auxiliary module.
void | addNeighbors (std::vector< NeighborSet > &neighbors) const override
| Specify the additional neighboring correlations caused by the auxiliary module.
void | applyInitial () override
| Set the initial condition of the auxiliary module in the solution vector.
void | linearize (SparseMatrixAdapter &jacobian, GlobalEqVector &res) override
| Linearize the auxiliary equation.
void | postSolve (GlobalEqVector &deltaX) override
| This method is called after the linear solver has been called but before the solution is updated for the next iteration.
void | linearizeDomain (const Domain &domain, SparseMatrixAdapter &jacobian, GlobalEqVector &res)
void | postSolveDomain (const GlobalEqVector &deltaX, const Domain &domain)
template<class Restarter>
void | deserialize (Restarter &)
template<class Restarter>
void | serialize (Restarter &)
| This method writes the complete state of the well to the harddisk.
Public Member Functions inherited from Opm::BaseAuxiliaryModule< TypeTag >
void | setDofOffset (int value)
| Set the offset in the global system of equations for the first degree of freedom of this auxiliary module.
int | dofOffset ()
| Return the offset in the global system of equations for the first degree of freedom of this auxiliary module.
int | localToGlobalDof (unsigned localDofIdx) const
| Given a degree of freedom relative to the current auxiliary equation, return the corresponding index in the global system of equations.

## Additional Inherited Members

Protected Types inherited from Opm::BaseAuxiliaryModule< TypeTag >
using | NeighborSet = std::set<unsigned>

## Member Typedef Documentation

## NeighborSet

template<class TypeTag, class Model>

using Opm::WellConnectionAuxiliaryModule< TypeTag, Model >::NeighborSet

Initial value:
typename
::Opm::BaseAuxiliaryModule<TypeTag>::NeighborSet

## Member Function Documentation

## addNeighbors()

template<class TypeTag, class Model>

void Opm::WellConnectionAuxiliaryModule< TypeTag, Model >::addNeighbors | ( | std::vector< NeighborSet > & | neighbors | ) | const

inline override virtual

Specify the additional neighboring correlations caused by the auxiliary module.

Implements Opm::BaseAuxiliaryModule< TypeTag >.

## applyInitial()

template<class TypeTag, class Model>

void Opm::WellConnectionAuxiliaryModule< TypeTag, Model >::applyInitial | ( |  | ) |

inline override virtual

Set the initial condition of the auxiliary module in the solution vector.

Implements Opm::BaseAuxiliaryModule< TypeTag >.

## linearize()

template<class TypeTag, class Model>

void Opm::WellConnectionAuxiliaryModule< TypeTag, Model >::linearize | ( | SparseMatrixAdapter & | matrix,
|  | GlobalEqVector & | residual )

inline override virtual

Linearize the auxiliary equation.

Implements Opm::BaseAuxiliaryModule< TypeTag >.

## numDofs()

template<class TypeTag, class Model>

unsigned Opm::WellConnectionAuxiliaryModule< TypeTag, Model >::numDofs | ( |  | ) | const

inline override virtual

Returns the number of additional degrees of freedom required for the auxiliary module.

Implements Opm::BaseAuxiliaryModule< TypeTag >.

## postSolve()

template<class TypeTag, class Model>

void Opm::WellConnectionAuxiliaryModule< TypeTag, Model >::postSolve | ( | GlobalEqVector & |  | ) |

inline override virtual

This method is called after the linear solver has been called but before the solution is updated for the next iteration.

It is intended to implement stuff like Schur complements.

Reimplemented from Opm::BaseAuxiliaryModule< TypeTag >.

The documentation for this class was generated from the following file:

- opm/simulators/wells/WellConnectionAuxiliaryModule.hpp